
server {
    listen      80;
    listen      [::]:80;
    server_name library.shore.co.il;
    include     snippets/www-acme-challenge.conf;
    include     snippets/redirect-https.conf;
}

server {
    listen      443 ssl;
    listen      [::]:443 ssl;
    server_name library.shore.co.il;
    include     snippets/ssl.conf;

    location / {
        root                    /srv/library;
        client_body_temp_path   /tmp;
        dav_methods             PUT DELETE MKCOL COPY MOVE;
        autoindex               on;
        autoindex_exact_size    off;

        limit_except GET PROPFIND OPTIONS HEAD {
            deny    all;
        }
    }
}
